Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.stmtformatter.type.comm
Class SelectStmtFormatter

    java.lang.Object
      gudusoft.gsqlparser.pp.stmtformatter.type.AbstractStmtFormatter<TSelectSqlStatement>
          gudusoft.gsqlparser.pp.stmtformatter.type.comm.SelectStmtFormatter

    public class SelectStmtFormatter

extends AbstractStmtFormatter<TSelectSqlStatement>

the select stmt formatter

Author:
  zhoujun

Constructor Summary
`SelectStmtFormatter()`

Method Summary
`void` | `addFromJoinClauseProcessor(AbstractProcessor p)` add the processor used for from clause and join clause
`void` | `addGroupByClauseProcessor(AbstractProcessor p)` add the processor used for groupby clause
`void` | `addHavingClauseProcessor(AbstractProcessor p)` add the having clause processor
`void` | `addItemListAlignProcessor(AbstractProcessor p)`
`void` | `addItemListProcessor(AbstractProcessor p)` add the select item processors, also used for groupby clause and orderby clause
`void` | `addOrderByClauseProcessor(AbstractProcessor p)` add the processor used for order by clause
`void` | `addTableClauseProcessor(AbstractProcessor p)` add the processor used for table clause
`void` | `addWhereClauseProcessor(AbstractProcessor p)`
`void` | `addWhereExpProcessors(AbstractProcessor p)`
`UnionProcessor` | `getUnionProcessor()`
`void` | `setUnionProcessor(UnionProcessor unionProcessor)`

Methods inherited from class gudusoft.gsqlparser.pp.stmtformatter.type.AbstractStmtFormatter
`addExpressionProcessor, addSpecialProcessor, format, getExpressionProcessors, getOption, getSessionId, getSpecialProcessors, setSessionId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectStmtFormatter

    public SelectStmtFormatter()

Method Detail

### addItemListProcessor

    public void addItemListProcessor(AbstractProcessor p)

  add the select item processors, also used for groupby clause and orderby clause

  Parameters:
    `p` -

### addItemListAlignProcessor

    public void addItemListAlignProcessor(AbstractProcessor p)

### addTableClauseProcessor

    public void addTableClauseProcessor(AbstractProcessor p)

  add the processor used for table clause

  Parameters:
    `p` -

### addFromJoinClauseProcessor

    public void addFromJoinClauseProcessor(AbstractProcessor p)

  add the processor used for from clause and join clause

  Parameters:
    `p` -

### addGroupByClauseProcessor

    public void addGroupByClauseProcessor(AbstractProcessor p)

  add the processor used for groupby clause

  Parameters:
    `p` -

### addOrderByClauseProcessor

    public void addOrderByClauseProcessor(AbstractProcessor p)

  add the processor used for order by clause

  Parameters:
    `p` -

### addWhereClauseProcessor

    public void addWhereClauseProcessor(AbstractProcessor p)

### addWhereExpProcessors

    public void addWhereExpProcessors(AbstractProcessor p)

### addHavingClauseProcessor

    public void addHavingClauseProcessor(AbstractProcessor p)

  add the having clause processor

  Parameters:
    `p` -

### getUnionProcessor

    public UnionProcessor getUnionProcessor()

### setUnionProcessor

    public void setUnionProcessor(UnionProcessor unionProcessor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD